//{{NO_DEPENDENCIES}}
// resource.h: fromerly a Microsoft Developer Studio generated include file.
// resource.h is now a file generated with the m4 command from resource.h.m4 
// Used by dune.rc, MainWindow.cpp, *Dialog.cpp and others
// 
include(`swt/include/resource.m4')
M4_COMMENT(
   The file resource.h.m4 is free software; the Free Software Foundation
   gives unlimited permission to copy, distribute and modify it.
)

// keep the values from -->
`#define' IDOK                                1
`#define' IDCANCEL                            2
`#define' IDYES                               6
`#define' IDNO                                7
`#define' IDOK2                               98
`#define' IDCANCEL2                           99
// <-- to here, they should be identical to swt/include/swt.h
define(`M4_IDD_NUM', 100)
M4_IDD(ABOUTBOX)
define(`M4_ABOUT_NUM', M4_IDD_NUM)
`#define' IDB_NODE_ICONS                      133
`#define' IDB_NODE_ICONS_BW                   134
`#define' IDB_HALFTONE                        135
`#define' IDB_EMPTY_SOCKET                    136
`#define' IDB_FULL_SOCKET                     137
`#define' IDB_VCR_TOOLBAR                     138
`#define' IDB_VCR_TOOLBAR_BW                  139
`#define' IDB_STANDARD_TOOLBAR                140
`#define' IDB_STANDARD_TOOLBAR_BW             141
`#define' IDB_RECOMMENDED_SOCKET              142
`#define' IDI_DUNE_ICON                       143
`#define' IDP_AFXOLEINIT_FAILED               144
define(`M4_IDD_NUM', 150)
M4_IDR(MAINFRAME)
M4_IDR(DUNE_4CATT_TYPE)
M4_IDR(DUNE_4KIDS_TYPE)
M4_IDR(DUNE_TYPE)
M4_IDD(KEYBOARD)
M4_IDD(PREFERENCES)
M4_IDD(PREVIEW_SETTINGS)
M4_IDD(MODELLING_SETTINGS)
M4_IDD(TEXT_OBJECT_EDIT_SETTINGS)
M4_IDD(ECMA_SCRIPT_SETTINGS)
M4_IDD(HELP_SETTINGS)
M4_IDD(UPLOAD_SETTINGS)
M4_IDD(STEREO_VIEW)
M4_IDD(ELEVATION_GRID)
M4_IDD(NEW_NURBS_PLANE)
M4_IDD(SPHERE2NURBS)
M4_IDD(CONE2NURBS)
M4_IDD(CYLINDER2NURBS)
M4_IDD(NEW_NURBS_CURVE)
M4_IDD(BOX2NURBS)
M4_IDD(NURBS_CURVE_ROTATE)
M4_IDD(SCRIPT)
M4_IDD(DEF)
M4_IDD(COVER_DEF)
M4_IDD(ANIMATION)
M4_IDD(INTERACTION)
M4_IDD(URL)
M4_IDD(INPUT)
M4_IDD(OUTPUT)
M4_IDD(ARRAY)
M4_IDD(TIME_SHIFT)
M4_IDD(SHELL_SMOOTH)
M4_IDD(INPUT_DEVICE)
M4_IDD(CREASE_ANGLE)
M4_IDD(SOLID)
M4_IDD(TWO_SIDED)
M4_IDD(HANDLE_SCALE)
M4_IDD(HANDLE_SIZE)
M4_IDD(HANDLE_EPSILON)
M4_IDD(ANIMATION_TIME)
M4_IDD(SHININESS)
M4_IDD(TRANSPARENCY)
M4_IDD(TEXT)
M4_IDD(ROUTE_VIEW)
M4_IDD(AFLOCK)
M4_IDD(FIELD_PIPE)
M4_IDD(IMAGE_REPEAT)
M4_IDD(SUPER_REVOLVER_POINTS)
M4_IDD(CONVEX)
M4_IDD(KANIM_PATTERN)
M4_IDD(NODE_BY_NAME)
M4_IDD(WONDERLAND_MODULE_EXPORT)
M4_IDD(CATT_EXPORT)
M4_IDD(NURBS_CURVE_2D_POINTS)

`#define' IDC_SPIN1                           1000
`#define' IDC_EDIT1                           1001
`#define' IDC_MESSAGE                         1002
`#define' IDC_WIDTH                           1003
`#define' IDC_GL_EXTENSIONS                   1004
`#define' IDC_SHOW_ALL_FIELDS                 1005
`#define' IDC_ROTATION_ORDER                  1006
`#define' IDC_SHOW_ALL_INSTANCES              1007
`#define' IDC_DATATYPE                        1008
`#define' IDC_USE_REMOTE                      1010
`#define' IDC_APPLICATION                     1011
`#define' IDC_TOPIC                           1012
`#define' IDC_COMMAND                         1013
`#define' IDC_APPLICATION2                    1014
`#define' IDC_BROWSE                          1015
`#define' IDC_REMOTE_COMMAND                  1016
`#define' IDC_HANDLES_ALL                     1017
`#define' IDC_HANDLES_SELECTED                1018
`#define' IDC_HANDLES_NONE                    1019
`#define' IDC_DEPTH                           1022
`#define' IDC_GL_VENDOR                       1023
`#define' IDC_GL_RENDERER                     1024
`#define' IDC_GL_VERSION                      1025
`#define' IDC_U_DEGREE                        1031
`#define' IDC_V_DEGREE                        1032
`#define' IDC_HELP_COMMAND                    1033
`#define' IDC_BROWSE_DIRECTORY                1034
`#define' IDC_DOC_DIRECTORY                   1035
`#define' IDC_VRML_HTML                       1036
`#define' IDC_BROWSE_HELP_COMMAND             1037
`#define' IDC_BROWSE_DOC_DIRECTORY            1038
`#define' IDC_BROWSE_VRML_HTML                1039
`#define' IDC_EVENT_OR_FIELD                  1041
`#define' IDC_SF_OR_MF                        1042
`#define' IDC_EVENT_NAME                      1043
`#define' IDC_SCRIPT_INTERFACE                1044
`#define' IDC_HELP_REMOTE_COMMAND             1045
`#define' IDC_BROWSE_HELP_REMOTE_COMMAND      1046
`#define' IDC_BROWSE_TEXTEDIT                 1047
`#define' IDC_TEXTEDIT_COMMAND                1048
`#define' IDC_TEXTEDIT_LINENUMBER_OPTION      1049
`#define' IDC_TEXTEDIT_USE_EXTENSION_TXT      1050
`#define' IDC_ECMA_ADD_ALLOWED_VALUES         1054
`#define' IDC_ECMA_ADD_ALLOWED_COMPONENTS     1055
`#define' IDC_ECMA_ADD_AVAILABLE_FUNCTIONS    1056
`#define' IDC_ECMA_ADD_MATH_OBJECT            1057
`#define' IDC_ECMA_ADD_BROWSER_OBJECT         1058
`#define' IDC_ECMA_ADD_EXAMPLE_USAGE          1059
`#define' IDC_HANDLES_TREE                    1060
`#define' IDC_TEXTEDIT_ALLOW_POPUP            1061
`#define' IDC_DEF_NAME                        1062
`#define' IDC_SPHERE_NARCSLONG                1063
`#define' IDC_SPHERE_NARCSLAT                 1064
`#define' IDC_SPHERE_U_DEGREE                 1065
`#define' IDC_SPHERE_V_DEGREE                 1066
`#define' IDC_CONE_NARCS                      1067
`#define' IDC_CONE_NAREA                      1068
`#define' IDC_CONE_NSHELL                     1069
`#define' IDC_CONE_U_DEGREE                   1070
`#define' IDC_CONE_V_DEGREE                   1071
`#define' IDC_CYLINDER_NARCS                  1072
`#define' IDC_CYLINDER_NAREA                  1073
`#define' IDC_CYLINDER_NSHELL                 1074
`#define' IDC_CYLINDER_U_DEGREE               1075
`#define' IDC_CYLINDER_V_DEGREE               1076
`#define' IDC_NPOINTS                         1077
`#define' IDC_DEGREE                          1078
`#define' IDC_6PLANES                         1079
`#define' IDC_BOX_NZAREAPOINTS                1080
`#define' IDC_BOX_NVAREAPOINTS                1081
`#define' IDC_BOX_NUAREAPOINTS                1082
`#define' IDC_BOX_U_DEGREE                    1083
`#define' IDC_BOX_V_DEGREE                    1084
`#define' IDC_X_ROTATE                        1085
`#define' IDC_Y_ROTATE                        1086
`#define' IDC_Z_ROTATE                        1087
`#define' IDC_POINTPOINT_ROTATE               1088
`#define' IDC_CURVE2SURF_NARCS                1089
`#define' IDC_CURVE2SURF_U_DEGREE             1090
`#define' IDC_CURVE2SURF_ANGLE                1091
`#define' IDC_EMISSIVE_COLOR                  1092
`#define' IDC_CURVE2SURF_DEFAULT_COLOR        1093
`#define' IDC_HANDLE_EPSILON                  1094
`#define' IDC_CURVE2SURF_FLATTEN              1095
`#define' IDC_NURBS_CURVE_X                   1096
`#define' IDC_NURBS_CURVE_Y                   1097
`#define' IDC_NURBS_CURVE_Z                   1098
`#define' IDC_TIMESENSORS                     1099
`#define' IDC_TIMESENSOR_SECONDS              1100
`#define' IDC_HANDLE_SIZE                     1101
`#define' IDC_3DCURSOR_NONE                   1102
`#define' IDC_3DCURSOR_RECORDING              1103
`#define' IDC_3DCURSOR_NOT_RUN                1104
`#define' IDC_3DCURSOR_ALWAYS                 1105
`#define' IDC_USE_STEREO                      1106
`#define' IDC_EYE_DIST                        1107
`#define' IDC_SCREEN_DIST                     1108
`#define' IDC_FIX_FOV                         1109
`#define' IDC_3DCURSOR_WIDTH                  1110
`#define' IDC_3DCURSOR_LENGTH                 1111
`#define' IDC_EYE_ANGLE_FACTOR                1112
`#define' IDC_NEAR_CLIPPING_PLANE_DIST        1113
`#define' IDC_STEREO_VIEW_SET_DEFAULTS        1114
`#define' IDC_STEREO_HANDLE_MULT              1115
`#define' IDC_BROWSER_VRML_LEVEL              1116
`#define' IDC_XTYP_EXECUTE                    1117
`#define' IDC_UPLOAD_COMMANDLINE              1118
`#define' IDC_UPLOAD_HTML_TAG                 1119
`#define' IDC_UPLOAD_PASSWORD                 1120
`#define' IDC_URL_PATH                        1121
`#define' IDC_BROWSER_USE_DEFAULT             1122
`#define' IDC_KEEP_URLS                       1123
`#define' IDC_POINTSET_SIZE                   1124
`#define' IDC_FLOAT_DIGITS                    1125
`#define' IDC_K_AND_R                         1127
`#define' IDC_OUTPUT_DEFAULTS                 1128
`#define' IDC_INDENT                          1129
`#define' IDC_PREF_DEFAULTS                   1130
`#define' IDC_FAR_CLIPPING_PLANE_DIST         1131
`#define' IDC_INCLUDE_PROTOS                  1132
`#define' IDC_COMPRESS                        1133
`#define' IDC_TRANS_X                         1134
`#define' IDC_TRANS_Y                         1135
`#define' IDC_TRANS_Z                         1136
`#define' IDC_ROT_X                           1137
`#define' IDC_ROT_Y                           1138
`#define' IDC_ROT_Z                           1139
`#define' IDC_ROT_ANGLE                       1140
`#define' IDC_CENTER_X                        1141
`#define' IDC_CENTER_Y                        1142
`#define' IDC_CENTER_Z                        1143
`#define' IDC_SCALE_X                         1144
`#define' IDC_SCALE_Y                         1145
`#define' IDC_SCALE_Z                         1146
`#define' IDC_POINTER                         1147
`#define' IDC_ARRAY_COPYIES                   1148
`#define' IDC_MAX_INLINES_TO_LOAD             1149
`#define' IDC_HANDLE_MESH_ALWAYS              1150
`#define' IDC_FORK_ON_PREVIEW                 1152
`#define' IDC_MAX_KEYS_IN_CHANNELVIEW         1153
`#define' IDC_TIME_SHIFT                      1154
`#define' IDC_WRAP_AROUND                     1155
`#define' IDC_PREVIEW_CONSOLE                 1156
`#define' IDC_VALUE                           1157
`#define' IDC_COMBO_INPUTDEVICES              1158
`#define' IDC_COMBO_X                         1159
`#define' IDC_COMBO_Y                         1160
`#define' IDC_COMBO_Z                         1161
`#define' IDC_COMBO_RX                        1162
`#define' IDC_COMBO_RY                        1163
`#define' IDC_COMBO_RZ                        1164
`#define' IDC_EDIT_MAX_AXIS                   1165
`#define' IDC_COMMANDLINE                     1166
`#define' IDC_EDIT_DEVICE_NAME                1167
`#define' IDC_CHECK_SENDALWAYS                1168
`#define' IDC_SEL_ALL                         1169
`#define' IDC_SEL_ALLXYZ                      1170
`#define' IDC_SEL_ALLROT                      1171
`#define' IDC_CHECK_DCFOCUS                   1172
`#define' IDC_FACTORX                         1173
`#define' IDC_FACTORY                         1174
`#define' IDC_FACTORZ                         1175
`#define' IDC_FACTORRX                        1176
`#define' IDC_FACTORRY                        1177
`#define' IDC_FACTORRZ                        1178
`#define' IDC_ACCELX                          1179
`#define' IDC_ACCELY                          1180
`#define' IDC_ACCELZ                          1181
`#define' IDC_ACCELRX                         1182
`#define' IDC_ACCELRY                         1183
`#define' IDC_ACCELRZ                         1184
`#define' IDC_WHEELX                          1185
`#define' IDC_WHEELY                          1186
`#define' IDC_WHEELZ                          1187
`#define' IDC_WHEELRX                         1188
`#define' IDC_WHEELRY                         1189
`#define' IDC_WHEELRZ                         1190
`#define' IDC_IGNOREX                         1191
`#define' IDC_IGNOREY                         1192
`#define' IDC_IGNOREZ                         1193
`#define' IDC_IGNORERX                        1194
`#define' IDC_IGNORERY                        1195
`#define' IDC_IGNORERZ                        1196
`#define' IDC_NX                              1197
`#define' IDC_NY                              1198
`#define' IDC_NZ                              1199
`#define' IDC_NRX                             1200
`#define' IDC_NRY                             1201
`#define' IDC_NRZ                             1202
`#define' IDC_STATIC_MAXDEVICE                1203
`#define' IDC_SAVE                            1204
`#define' IDC_OKSAVE                          1205
`#define' IDC_BUTTON_DEFAULT                  1206
`#define' IDC_CHECK_AFBAUD                    1207
`#define' IDC_CHECK_AFBLOCK                   1208
`#define' IDC_CHECK_AFSYNC                    1209
`#define' IDC_CHECK_AFNUMBIRDS                1210
`#define' IDC_CHECK_AFMASTER                  1211
`#define' IDC_CHECK_AFFILTER                  1212
`#define' IDC_CHECK_AFREPORT                  1213
`#define' IDC_CHECK_AFCALFILE                 1214
`#define' IDC_CHECK_AFWAND                    1215
`#define' IDC_CHECK_AFTRACKER                 1216
`#define' IDC_CHECK_AFHEADNV                  1217
`#define' IDC_CHECK_AFHEMI                    1218
`#define' IDC_CHECK_AFSUDDEN                  1219
`#define' IDC_EDIT_BAUDRATE                   1220
`#define' IDC_EDIT_CALFILE                    1221
`#define' IDC_EDIT_NUMBIRDS                   1222
`#define' IDC_EDIT_WAND                       1223
`#define' IDC_EDIT_MASTER                     1224
`#define' IDC_EDIT_TRACKER                    1225
`#define' IDC_COMBO_FILTER                    1226
`#define' IDC_COMBO_HEMISPHERE                1227
`#define' IDC_TEXT_COMMANDLINE                1228
`#define' IDC_EDIT_DEVICENR                   1229
`#define' IDC_EDIT_TRANSMIT                   1230
`#define' IDC_ROUTE_VIEW_SHOW_ALL             1231
`#define' IDC_ROUTE_VIEW_QUEUE_LENGTH         1232
`#define' IDC_ROUTE_VIEW_DEFAULTS             1233
`#define' IDC_ROUTED_NODE_INDENT              1234
`#define' IDC_SHOW_ROUTES_AT_BEGIN            1235
`#define' IDC_COMBO_INPUTDEVICE_NAME          1236
`#define' IDC_NORMALS_PURE_VRML97             1238
`#define' IDC_INTERACTION_LEVEL               1239
`#define' IDC_INTERACTION_SELECT_LEVEL        1240
`#define' IDC_INTERACTION_SENSORS             1241
`#define' IDC_INTERACTION_SELECT_SENSOR       1242
`#define' IDC_IMAGEEDIT_COMMAND               1243
`#define' IDC_BROWSE_IMAGEEDIT                1244
`#define' IDC_SOUNDEDIT_COMMAND               1245
`#define' IDC_BROWSE_SOUNDEDIT                1246
`#define' IDC_MOVIEEDIT_COMMAND               1247
`#define' IDC_BROWSE_MOVIEEDIT                1248
`#define' IDC_ADD_INITIALIZE                  1249
`#define' IDC_ADD_SHUTDOWN                    1250
`#define' IDC_ADD_EVENTS_PROCESSED            1251
`#define' IDC_ADD_EVENT                       1252
`#define' IDC_CHANGE_EVENT                    1253
`#define' IDC_COPY_EVENT                      1254
`#define' IDC_DELETE_EVENT                    1255
`#define' IDC_SCRIPT_USE_FILE                 1256
`#define' IDC_SCRIPT_CREATE_JAVA              1257
`#define' IDC_SCRIPT_EDIT                     1258
`#define' IDC_HANDLE_SCALE                    1262
`#define' IDC_RADIO_BUTTON_1                  1263
`#define' IDC_RADIO_BUTTON_2                  1264
`#define' IDC_PIPE_NODE_FILTER                1265
`#define' IDC_PIPE_FIELD_FILTER               1266
`#define' IDC_PIPE_COMMAND                    1267
`#define' IDC_REVISION_CONTROL_COMMAND        1268
`#define' IDC_REVISION_CONTROL_ENABLED        1269
`#define' IDC_INPUT_DEFAULTS                  1270
`#define' IDC_X3D_TO_X3DV                     1273
`#define' IDC_BROWSE_X3D_TO_X3DV              1274
`#define' IDC_DEFAULT_AC3D_MATERIAL_NAME      1275
`#define' IDC_DEFAULT_CATT_MATERIAL_NAME      1276
`#define' IDC_AC3D_EXPORT_4_RAVEN             1277
`#define' IDC_AC3D_EXPORT_CONVERT_2_GIF       1278
`#define' IDC_BROWSE_IMAGEEDIT4KIDS           1279
`#define' IDC_IMAGEEDIT4KIDS_COMMAND          1280
`#define' IDC_BROWSE_WONDERLAND_EXPORT_PATH   1281
`#define' IDC_WONDERLAND_MODULE_EXPORT_PATH   1282
`#define' IDC_WONDERLAND_MODULE_EXPORT_PREFIX 1283
`#define' IDC_CATT_EXPORT_PATH                1284
`#define' IDC_BROWSE_CATT_EXPORT_PATH         1285
`#define' IDC_SKIP_MATERIAL_NAME_BEFORE_FIRST_UNDERSCORE  1286
`#define' IDC_SKIP_MATERIAL_NAME_AFTER_LAST_UNDERSCORE   1287
`#define' IDC_WONDERLAND_MODULE_EXPORT_MANY_CLASSES 1288
`#define' IDC_USE_INTERNAL_XML_PARSER         1289
`#define' IDC_BROWSE_XML_PARSER_DETAILS       1290
`#define' IDC_X3D_HTML                        1291
`#define' IDC_BROWSE_X3D_HTML                 1292

`#define' IDC_STATIC_ALTGRTEXT                1298
`#define' IDC_STATIC_SHIFTTEXT                1299
`#define' IDC_EDIT_SHIFTTEXT                  1300
`#define' IDC_EDIT_ALTGRTEXT                  1301
`#define' IDC_KEYBOARD_TEXT                   1302
`#define' IDC_BUTTON_Q                        2000
`#define' IDC_BUTTON_W                        2001
`#define' IDC_BUTTON_E                        2002
`#define' IDC_BUTTON_R                        2003
`#define' IDC_BUTTON_T                        2004
`#define' IDC_BUTTON_Z                        2005
`#define' IDC_BUTTON_U                        2006
`#define' IDC_BUTTON_I                        2007
`#define' IDC_BUTTON_O                        2008
`#define' IDC_BUTTON_P                        2009
`#define' IDC_BUTTON_LBRACKET                 2010
`#define' IDC_BUTTON_A                        2011
`#define' IDC_BUTTON_S                        2012
`#define' IDC_BUTTON_D                        2013
`#define' IDC_BUTTON_F                        2014
`#define' IDC_BUTTON_G                        2015
`#define' IDC_BUTTON_H                        2016
`#define' IDC_BUTTON_J                        2017
`#define' IDC_BUTTON_K                        2018
`#define' IDC_BUTTON_L                        2019
`#define' IDC_BUTTON_SEMICOLON                2020
`#define' IDC_BUTTON_QUOTATIONMARKS           2021
`#define' IDC_BUTTON_Y                        2022
`#define' IDC_BUTTON_X                        2023
`#define' IDC_BUTTON_C                        2024
`#define' IDC_BUTTON_V                        2025
`#define' IDC_BUTTON_B                        2026
`#define' IDC_BUTTON_N                        2027
`#define' IDC_BUTTON_M                        2028
`#define' IDC_BUTTON_COMMA                    2029
`#define' IDC_BUTTON_POINT                    2030
`#define' IDC_BUTTON_MINUS_UNDERLINE          2031
`#define' IDC_BUTTON_SLASH                    2032
`#define' IDC_BUTTON_RBRACKET                 2033
`#define' IDC_BUTTON_BACKSLASH                2034
`#define' IDC_BUTTON_1                        2035
`#define' IDC_BUTTON_2                        2036
`#define' IDC_BUTTON_3                        2037
`#define' IDC_BUTTON_MOVE_LEFT                2038
`#define' IDC_BUTTON_4                        2039
`#define' IDC_BUTTON_5                        2040
`#define' IDC_BUTTON_6                        2041
`#define' IDC_BUTTON_7                        2042
`#define' IDC_BUTTON_8                        2043
`#define' IDC_BUTTON_9                        2044
`#define' IDC_BUTTON_0                        2045
`#define' IDC_BUTTON_PLUS                     2046
`#define' IDC_BUTTON_SQUOTATION               2047
`#define' IDC_BUTTON_BACK                     2048
`#define' IDC_BUTTON_MOVE_RIGHT               2049
`#define' IDC_BUTTON_MOVE_DOWN                2050
`#define' IDC_BUTTON_MOVE_UP                  2051
`#define' IDC_BUTTON_SPACE                    2052
`#define' IDC_BUTTON_INSERT                   2053
`#define' IDC_BUTTON_DEL                      2054
`#define' IDC_BUTTON_POS1                     2055
`#define' IDC_BUTTON_END                      2056
`#define' IDC_BUTTON_PAGEUP                   2057
`#define' IDC_BUTTON_PAGEDOWN                 2058
`#define' IDC_BUTTON_RETURN                   2059
`#define' IDC_BUTTON_ALTGR                    2060
`#define' IDC_BUTTON_SHIFT                    2061
`#define' IDC_OPTIONS_AFLOCK                  2062
`#define' IDC_COVER_NAMES                     2063

// still to be done id's
`#define' ID_INPUT_DEVICE_NEW                 10000
`#define' ID_OPTIONS_INPUT_DEVICE             10001 
`#define' ID_OPTIONS_SMART_FIELDS             10003
`#define' ID_OPTIONS_SWITCH_TO_DUNE           10004
`#define' ID_OPTIONS_SWITCH_TO_DUNE4KIDS      10005
`#define' ID_DEGREE_ELEVATE_DOWN              10006
`#define' ID_U_DEGREE_ELEVATE_DOWN            10007
`#define' ID_V_DEGREE_ELEVATE_DOWN            10008
`#define' ID_SHOW_JOINT_LIKE_HANDLES          10009
`#define' ID_TIME_SHIFT                       10010
`#define' ID_MAKE_AT_000                      10011

// misc id's
`#define' ID_TEST_IN_MENU                     11000
`#define' ID_PROTO_MRU_PLACEHOLDER            11001
`#define' ID_NAVIGATION_OPERATIONS            11002
`#define' ID_INPUT_DEVICE_OPERATIONS          11003

define(M4_ID_NUM,14000) 
M4_IDS(DUNE)
M4_IDS(RESCURSIVE_USE)
M4_IDS(SAVE_CHANGES)
M4_IDS(SCRIPT_EDITOR_IN_USE_ERROR)
M4_IDS(TEXT_EDITOR_IN_USE_ERROR)
M4_IDS(IMAGE_EDITOR_IN_USE_ERROR)
M4_IDS(SOUND_EDITOR_IN_USE_ERROR)
M4_IDS(MOVIE_EDITOR_IN_USE_ERROR)
M4_IDS(INTERACTION_NEW_SENSOR)
M4_IDS(INTERACTION_LEVEL_RECOMMENDED)
M4_IDS(INTERACTION_LEVEL_ALL)
M4_IDS(NEED_ROUTESBEGIN_AT_NOVIEWALL)
M4_IDS(SAVE_FAILED)
M4_IDS(MAKE_WHAT_INTERACTIVE)
M4_IDS(ANIMATE_WHAT)
M4_IDS(LOADING_FILE)
M4_IDS(ERROR)
M4_IDS(DUNE_ERROR)
M4_IDS(DUNE_WARNING)
M4_IDS(PREVIEW_ERROR)
M4_IDS(UDEGREE_UNSUPPORTED)
M4_IDS(VDEGREE_UNSUPPORTED)
M4_IDS(VDEGREE_UNSUPPORTED_CONE)
M4_IDS(VDEGREE_UNSUPPORTED_CYLINDER)
M4_IDS(DEF_ALREADY_ERROR)
M4_IDS(SAVE_PREVIEW_ERROR1)
M4_IDS(SAVE_PREVIEW_ERROR2)
M4_IDS(SAVE_EDIT_ERROR1)
M4_IDS(SAVE_EDIT_ERROR2)
M4_IDS(EDIT_COMMAND_ERROR)
M4_IDS(NURBS_CURVE_CONVERT_ERROR)
M4_IDS(IMAGE_TEXTURE_ERROR)
M4_IDS(RESTART_4_STEREO)
M4_IDS(WRONG_DEF_ERROR)
M4_IDS(WRONG_SPACE_IN_DEF_ERROR)
M4_IDS(INTERNAL_ERROR)
M4_IDS(ANIMATION_HELP_TRANSFORM)
M4_IDS(ANIMATION_HELP_MATERIAL)
M4_IDS(ANIMATION_HELP_SOUND)
M4_IDS(ANIMATION_HELP_DIRECTIONALLIGHT)
M4_IDS(ANIMATION_HELP_POINTLIGHT)
M4_IDS(ANIMATION_HELP_FOG)
M4_IDS(ANIMATION_HELP_VIEWPOINT)
M4_IDS(NO_CONE_Y_FLIP)
M4_IDS(NEAR_CLIPPING_TOO_SMALL)
M4_IDS(NEAR_BIGGER_FAR)
M4_IDS(NEGATIVE_SCALE_UNSUPPORTED)
M4_IDS(TO_INLINE_EVENT_IN_OUTSIDE)
M4_IDS(TO_INLINE_EVENT_OUT_OUTSIDE)
M4_IDS(TO_INLINE_USE)
M4_IDS(NOT_SAVED)
M4_IDS(ROUTE_VIEW_FLOODED)
M4_IDS(NUMBER_POLYGONS)
M4_IDS(NUMBER_SINGLE_SIDED_POLYGONS)
M4_IDS(NUMBER_DOUBLE_SIDED_POLYGONS)
M4_IDS(NUMBER_POLYGONS_4_CATT)
M4_IDS(NUMBER_PRIMITIVES)
M4_IDS(NOW_USE_FILE_IMPORT)
M4_IDS(TEXTEDIT_PROMPT)
M4_IDS(IMAGEEDIT_PROMPT)
M4_IDS(IMAGEEDIT4KIDS_PROMPT)
M4_IDS(SOUNDEDIT_PROMPT)
M4_IDS(MOVIEEDIT_PROMPT)
M4_IDS(X3DV2X3D_PROMPT)
M4_IDS(HELP_COMMAND_PROMPT)
M4_IDS(PREVIEW_COMMAND_PROMPT)
M4_IDS(FLATTEN_NOT_SUPPORTED_ERROR)
M4_IDS(TURN_POINT_DISTANCE)
M4_IDS(VERTEX_SELECTED)
M4_IDS(AC3D_EXPORT_COLOR_IGNORED)
M4_IDS(WRONG_INPUT_DEVICE_NUMBER)
M4_IDS(INPUT_DEVICE_PARAMETERS_SAVED)
M4_IDS(LDRAW_DAT_EXPORT_NEEDS_DATA)
M4_IDS(LDRAW_DAT_EXPORT_NODE_CREATED)
M4_IDS(TO_MUCH_LDRAW_DAT_EXPORT_NODES)
M4_IDS(FLOAT_ONLY_9_CHARACTERS)
M4_IDS(URL_RECOMMENDED)
M4_IDS(NO_GIF_CONVERTTER)
M4_IDS(NAME_IN_USE)
M4_IDS(NAME_WITH_INVALID_CHARACTERS)
M4_IDS(INVALID_DATATYPE)
M4_IDS(CUT_ROUTES_FIRST)
M4_IDS(MISSING_CLOSING_QUOTE)
M4_IDS(ERROR_SAVE_FILE_TO_EDIT)
M4_IDS(ERROR_READ_SCRIPT_DATA)
M4_IDS(PREVIOUS_EOF)
M4_IDS(MISSING_QUOTE_PAIR)
M4_IDS(LDRAW_DAT_EXPORT_FIELD_FOR_TOO_LONG)
M4_IDS(NO_X3D_CONVERTER_SETTING)
M4_IDS(CONVERSION_TO_X3D_FAILED)
M4_IDS(TRUE_OR_FALSE)
M4_IDS(ERROR_IN_OUTPUT_FILE)
M4_IDS(REVISION_CONTROL_COMMAND_FAILED)
M4_IDS(PIPE_FAILED)
M4_IDS(X3D_NESTED_PROTO_NOT_SUPPORTED)
M4_IDS(NEED_COLOR_PER_VERTEX_IN_WONDERLAND)
M4_IDS(WRONG_COLOR_SIZE_IN_WONDERLAND)
M4_IDS(UNKNOWN_NODE)
M4_IDS(EVENT_ALREADY_ANIMATED)
M4_IDS(NEED_WONDERLAND_MODULE_PREFIX)
M4_IDS(WONDERLAND_BILLBOARD_CAN_000_001_010)
M4_IDS(SHOULD_HAVE_MATERIAL_GEO)
M4_IDS(INLINE_FILE_FAILED)
M4_IDS(EXTERNPROTO_FILE_FAILED)
M4_IDS(PROTO_ALREADY_DEFINED)
M4_IDS(SYNTAX_ERROR)
M4_IDS(X3D_ILLEGAL_CHARACTER)

M4_IDS(CORRECT)
M4_IDS(WRONG)

M4_ID_DUNE(INDICATOR_EXT)
M4_ID_DUNE(INDICATOR_CAPS)
M4_ID_DUNE(INDICATOR_NUM)
M4_ID_DUNE(INDICATOR_SCRL)
M4_ID_DUNE(INDICATOR_OVR)
M4_ID_DUNE(INDICATOR_REC)
M4_ID_DUNE(INDICATOR_KANA)

M4_ID_DUNE(FILE_NEW)
M4_ID_DUNE(FILE_NEW_X3DV)
M4_ID_DUNE(FILE_OPEN)
M4_ID_DUNE(FILE_IMPORT)
M4_ID_DUNE(FILE_NEW_WINDOW)
M4_ID_DUNE(FILE_PREVIEW)
M4_ID_DUNE(FILE_SAVE)
M4_ID_DUNE(FILE_SAVE_AS)
M4_ID_DUNE(FILE_EXPORT_VRML97)
M4_ID_DUNE(FILE_EXPORT_X3DV)
M4_ID_DUNE(FILE_EXPORT_X3D_XML)
M4_ID_DUNE(FILE_EXPORT_X3D_4_WONDERLAND)
M4_ID_DUNE(FILE_EXPORT_VRML97_COVER)
M4_ID_DUNE(FILE_EXPORT_KANIM)
M4_ID_DUNE(FILE_EXPORT_WONDERLAND_5_MODULE)
M4_ID_DUNE(FILE_EXPORT_AC3D)
M4_ID_DUNE(FILE_EXPORT_AC3D_4_RAVEN)
M4_ID_DUNE(FILE_EXPORT_GEO_CATT)
M4_ID_DUNE(FILE_EXPORT_LDRAW_DAT)
M4_ID_DUNE(FILE_EXPORT_C_SOURCE)
M4_ID_DUNE(FILE_EXPORT_CC_SOURCE)
M4_ID_DUNE(FILE_EXPORT_JAVA_SOURCE)
M4_ID_DUNE(FILE_PAGE_SETUP)
M4_ID_DUNE(FILE_PRINT_SETUP)
M4_ID_DUNE(FILE_PRINT)
M4_ID_DUNE(FILE_PRINT_DIRECT)
M4_ID_DUNE(FILE_PRINT_PREVIEW)
M4_ID_DUNE(FILE_UPDATE)
M4_ID_DUNE(FILE_SAVE_COPY_AS)
M4_ID_DUNE(FILE_TEXT_EDIT)
M4_ID_DUNE(FILE_UPLOAD)
M4_ID_DUNE(FILE_MRU_PLACEHOLDER)
M4_ID_DUNE(FILE_MRU_FIRST)
M4_ID_DUNE(FILE_MRU_FILE1)
M4_ID_DUNE(FILE_MRU_FILE2)
M4_ID_DUNE(FILE_MRU_FILE3)
M4_ID_DUNE(FILE_MRU_FILE4)
M4_ID_DUNE(FILE_MRU_FILE5)
M4_ID_DUNE(FILE_MRU_FILE6)
M4_ID_DUNE(FILE_MRU_FILE7)
M4_ID_DUNE(FILE_MRU_FILE8)
M4_ID_DUNE(FILE_MRU_FILE9)
M4_ID_DUNE(FILE_MRU_FILE10)
M4_ID_DUNE(FILE_MRU_FILE11)
M4_ID_DUNE(FILE_MRU_FILE12)
M4_ID_DUNE(FILE_MRU_FILE13)
M4_ID_DUNE(FILE_MRU_FILE14)
M4_ID_DUNE(FILE_MRU_FILE15)
M4_ID_DUNE(FILE_MRU_FILE16)
M4_ID_DUNE(FILE_MRU_LAST)
M4_ID_DUNE(FILE_CLOSE)

M4_ID_DUNE(APP_EXIT)
M4_ID_DUNE(APP_ABOUT)
M4_ID_DUNE(APP_HELP)
M4_ID_DUNE(APP_CATT_HELP)

M4_ID_DUNE(EDIT_CLEAR)
M4_ID_DUNE(EDIT_CLEAR_ALL)
M4_ID_DUNE(EDIT_COPY)
M4_ID_DUNE(EDIT_COPY_BRANCH_TO_ROOT)
M4_ID_DUNE(EDIT_CUT)
M4_ID_DUNE(EDIT_PASTE)
M4_ID_DUNE(EDIT_PASTE_LINK)
M4_ID_DUNE(EDIT_PASTE_SPECIAL)
M4_ID_DUNE(EDIT_DEF)
M4_ID_DUNE(EDIT_USE)
M4_ID_DUNE(EDIT_FIND)
M4_ID_DUNE(EDIT_FIND_AGAIN)
M4_ID_DUNE(EDIT_REPEAT)
M4_ID_DUNE(EDIT_REPLACE)
M4_ID_DUNE(EDIT_SELECT_ALL)
M4_ID_DUNE(EDIT_UNDO)
M4_ID_DUNE(EDIT_REDO)
M4_ID_DUNE(EDIT_PREFERENCES)
M4_ID_DUNE(EDIT_DELETE)

M4_ID_DUNE(VIEW_FULL_SCREEN)
M4_ID_DUNE(VIEW_TOOLBAR)
M4_ID_DUNE(VIEW_STATUS_BAR)
M4_ID_DUNE(VIEW_NODE_TOOLBAR_COVER)
M4_ID_DUNE(VIEW_NODE_TOOLBAR_KAMBI)
M4_ID_DUNE(VIEW_NODE_TOOLBAR_VRML200X)
M4_ID_DUNE(VIEW_NODE_TOOLBAR_X3D_COMPONENTS_1)
M4_ID_DUNE(VIEW_NODE_TOOLBAR_X3D_COMPONENTS_2)
M4_ID_DUNE(VIEW_NODE_TOOLBAR_X3D_COMPONENTS_3)
M4_ID_DUNE(VIEW_NODE_TOOLBAR_X3D_COMPONENTS_4)
M4_ID_DUNE(VIEW_NODE_TOOLBAR_RIGID_BODY)
M4_ID_DUNE(VIEW_NODE_TOOLBAR_SCRIPTED)
M4_ID_DUNE(VIEW_PLAY_TOOLBAR)
M4_ID_DUNE(VIEW_NODE_TOOLBAR_1)
M4_ID_DUNE(VIEW_NODE_TOOLBAR_2)
M4_ID_DUNE(VIEW_NODE_TOOLBAR_3)
M4_ID_DUNE(VIEW_MANIPULATOR_TOOLBAR)
M4_ID_DUNE(VIEW_SCENE_TREE)
M4_ID_DUNE(VIEW_SCENE_GRAPH)
M4_ID_DUNE(VIEW_FIELD_VIEW)
M4_ID_DUNE(VIEW_FIELD_VIEW_4_KIDS)
M4_ID_DUNE(VIEW_CHANNEL_VIEW)

M4_ID(TO_NURBS)
M4_ID(TO_NURBS_CURVE)
M4_ID(TO_SUPER_EXTRUSION)
M4_ID(TO_SUPER_REVOLVER)
M4_ID(TO_EXTRUSION)
M4_ID(TO_INDEXED_FACESET)
M4_ID(TO_INDEXED_TRIANGLESET)
M4_ID(TO_TRIANGLESET)
M4_ID(TO_INDEXED_LINESET)
M4_ID(TO_POINTSET)
M4_ID(TO_NURBS_POSITION_INTERPOLATOR)
M4_ID(TO_POSITION_INTERPOLATOR)
M4_ID(TO_ORIENTATION_INTERPOLATOR_XY)
M4_ID(TO_ORIENTATION_INTERPOLATOR_YZ)
M4_ID(TO_ORIENTATION_INTERPOLATOR_XZ)
M4_ID(TO_NURBS_4KIDS)

M4_ID(MOVE_SIBLING_UP)
M4_ID(MOVE_SIBLING_DOWN)
M4_ID(MOVE_SIBLING_FIRST)
M4_ID(MOVE_SIBLING_LAST)

M4_ID(BRANCH_TO_PARENT)
M4_ID(BRANCH_TO_TRANSFORM_SELECTION)
M4_ID(BRANCH_TO_PARENT_FROM_TRANSFORM_SELECTION)
M4_ID(BRANCH_TO_GROUP)
M4_ID(BRANCH_TO_TRANSFORM)
M4_ID(BRANCH_TO_COLLISION)
M4_ID(BRANCH_TO_COLLISIONPROXY)
M4_ID(BRANCH_TO_ANCHOR)
M4_ID(BRANCH_TO_BILLBOARD)
M4_ID(BRANCH_TO_LOD)
M4_ID(BRANCH_TO_SWITCH)
M4_ID(BRANCH_TO_INLINE)
M4_ID(BRANCH_TO_COLLISION_SPACE)
M4_ID(BRANCH_REMOVE_NORMAL)
M4_ID(BRANCH_REMOVE_TEXTURE_COORDINATE)
M4_ID(BRANCH_REMOVE_COLOR)
M4_ID(BRANCH_REMOVE_DEF_NAME)
M4_ID(BRANCH_REMOVE_NODE)
M4_ID(BRANCH_CREATE_NORMAL)
M4_ID(BRANCH_CREATE_TEXTURE_COORDINATE)
M4_ID(BRANCH_CREATE_MATERIAL)
M4_ID(BRANCH_CREATE_TEXTURE)
M4_ID(BRANCH_CREATE_APPEARANCE)
M4_ID(BRANCH_REMOVE_APPEARANCE)
M4_ID(BRANCH_REMOVE_MATERIAL)
M4_ID(BRANCH_REMOVE_TEXTURE)
M4_ID(BRANCH_SET_CONVEX)
M4_ID(BRANCH_SET_FLIP_SIDE)
M4_ID(BRANCH_SET_SOLID)
M4_ID(BRANCH_SET_TWO_SIDED)
M4_ID(BRANCH_SET_CREASE_ANGLE)
M4_ID(BRANCH_SET_TRANSPARENCY)
M4_ID(BRANCH_SET_SHININESS)
M4_ID(BRANCH_CONVERT_TO_NURBS)
M4_ID(BRANCH_CONVERT_TO_NURBS_CURVE)
M4_ID(BRANCH_CONVERT_TO_SUPER_EXTRUSION)
M4_ID(BRANCH_CONVERT_TO_SUPER_REVOLVER)
M4_ID(BRANCH_CONVERT_TO_EXTRUSION)
M4_ID(BRANCH_CONVERT_TO_INDEXED_FACESET)
M4_ID(BRANCH_CONVERT_TO_INDEXED_TRIANGLESET)
M4_ID(BRANCH_CONVERT_TO_TRIANGLESET)
M4_ID(BRANCH_CONVERT_TO_INDEXED_LINESET)
M4_ID(BRANCH_CONVERT_TO_POINTSET)
M4_ID(BRANCH_BUILD_RIGID_BODY_COLLECTION)
M4_ID(BRANCH_FIELD_PIPE)
M4_ID(BRANCH_COUNT_POLYGONS)
M4_ID(BRANCH_COUNT_POLYGONS_4_CATT)
M4_ID(CHANGE_ANIMATION_TIME)
M4_ID(CHANGE_ENABLE_ANIMATION)
M4_ID(CHANGE_DISABLE_ANIMATION)
M4_ID(CHANGE_MATERIAL_DIFFUSE)
M4_ID(CHANGE_MATERIAL_EMISSIVE)
M4_ID(CHANGE_MATERIAL_SPECULAR)
M4_ID(CHANGE_MATERIAL_TRANSPARENCY)
M4_ID(CHANGE_MATERIAL_SHININESS)
M4_ID(CHANGE_IMAGE_REPEAT)
M4_ID(CREATE_AT_ZERO_X)
M4_ID(CREATE_AT_ZERO_Y)
M4_ID(CREATE_AT_ZERO_Z)
M4_ID(CHANGE_ONE_TEXT)
M4_ID(ROUTE_REBUILD)
M4_ID(ROUTE_MOVE_UP)
M4_ID(ROUTE_MOVE_UP_ROUTES)
M4_ID(ROUTE_ZOOM_IN)
M4_ID(ROUTE_ZOOM_OUT)
M4_ID(ROUTE_UNZOOM)
M4_ID(SET_URL)
M4_ID(LINEAR_UKNOT)
M4_ID(LINEAR_VKNOT)
M4_ID(DEGREE_ELEVATE_UP)
M4_ID(U_DEGREE_ELEVATE_UP)
M4_ID(V_DEGREE_ELEVATE_UP)
M4_ID(TRIANGULATE)
M4_ID(SET_OPTIMIZE)
M4_ID(SET_EXPLODE)
M4_ID(SET_JOIN_SIBLINGS)
M4_ID(ARRAY)
M4_ID(FLIP_X)
M4_ID(FLIP_Y)
M4_ID(FLIP_Z)
M4_ID(FLATTEN_X)
M4_ID(FLATTEN_Y)
M4_ID(FLATTEN_Z)
M4_ID(FLATTEN_X_0)
M4_ID(FLATTEN_Y_0)
M4_ID(FLATTEN_Z_0)
M4_ID(SET_DEFAULT)
M4_ID(CENTER_TO_ZERO)
M4_ID(CENTER_TO_MID)
M4_ID(CENTER_TO_MAXX)
M4_ID(CENTER_TO_MAXY)
M4_ID(CENTER_TO_MAXZ)
M4_ID(CENTER_TO_MINX)
M4_ID(CENTER_TO_MINY)
M4_ID(CENTER_TO_MINZ)
M4_ID(REMOVE_ILLEGAL_NODES)
M4_ID(INPUTDEVICE_GREATER)
M4_ID(INPUTDEVICE_LESSER)
M4_ID(TOGGLE_XRAY_RENDERING)
M4_ID(SWAP_XY)
M4_ID(SWAP_XZ)
M4_ID(SWAP_YZ)
M4_ID(PIPE)
M4_ID(COLOR_CIRCLE)
M4_ID(OBJECT_EDIT)
M4_ID(URL_EDIT)
M4_ID(OBJECT_EDIT_4KIDS)
M4_ID(ANIMATION)
M4_ID(INTERACTION)
M4_ID(TWO_SIDED)
M4_ID(CHANGE_SIDE)
M4_ID(X_SYMETRIC)
M4_ID(STAND_UP)
M4_ID(ROTATE_MODE)
M4_ID(MOVE_MODE)
M4_ID(SCALE_MODE)
M4_ID(UNIFORM_SCALE_MODE)
M4_ID(EXAMINE_MOUSE_MODE)
M4_ID(FLY_MOUSE_MODE)
M4_ID(WALK_MOUSE_MODE)
M4_ID(ROLL_MOUSE_MODE)
M4_ID(MOUSE_NAVIGATION_MODE)
M4_ID(INPUT_DEVICE_NAVIGATION_MODE)
M4_ID(HOVER_MODE)
M4_ID(ROCKET_MODE)
M4_ID(CENTER_MODE)
M4_ID(NEAR_FAR_MODE)
M4_ID(UP_DOWN_MODE)
M4_ID(1D_MODE)
M4_ID(2D_MODE)
M4_ID(3D_MODE)
M4_ID(6DLOCAL_MODE)
M4_ID(6D_MODE)
M4_ID(INCREASE_TURNPOINT)
M4_ID(DECREASE_TURNPOINT)
M4_ID(X_ONLY)
M4_ID(Y_ONLY)
M4_ID(Z_ONLY)
M4_ID(RECALIBRATE)
M4_ID(PLAY)
M4_ID(STOP)
M4_ID(RECORD)
M4_ID(REWIND)
M4_ID(FAST_FORWARD)
M4_ID(HELP_SELECTION_PLACEHOLDER)
M4_ID(HELP_SELECTION)
M4_ID(HELP_SELECTION_COVER)
M4_ID(SAND_EXPORT)
M4_ID(SAND_WRITEMESHES)
M4_ID(SAND_RELPATHS)
M4_ID(SAND_ALPHATEST)
M4_ID(OPTIONS_PREFERENCES)
M4_ID(OPTIONS_PREVIEW)
M4_ID(OPTIONS_HELP)
M4_ID(OPTIONS_UPLOAD)
M4_ID(OPTIONS_OUTPUT)
M4_ID(OPTIONS_INPUT)
M4_ID(OPTIONS_OBJECT_EDIT)
M4_ID(OPTIONS_ROUTE_VIEW)
M4_ID(OPTIONS_ECMA_SCRIPT)
M4_ID(OPTIONS_STEREO_VIEW)

M4_ID(OPTIONS_START_NORMAL)
M4_ID(OPTIONS_START_WITH_4KIDS)
M4_ID(OPTIONS_START_WITH_4CATT)
M4_ID(OPTIONS_START_WITH_COVER)
M4_ID(OPTIONS_START_WITH_KAMBI)
M4_ID(OPTIONS_START_LANGUAGE_ENGLISH)
M4_ID(OPTIONS_START_LANGUAGE_GERMAN)
M4_ID(OPTIONS_START_LANGUAGE_ITALIAN)

M4_ID(SKIP_MATERIAL_NAME_BEFORE_FIRST_UNDERSCORE)
M4_ID(SKIP_MATERIAL_NAME_AFTER_LAST_UNDERSCORE)
M4_ID(HANDLE_SCALE)
M4_ID(HANDLE_SIZE)
M4_ID(HANDLE_EPSILON)

M4_ID(TEACHER_CORRECT_NAME)
M4_ID(TEACHER_WRONG_NAME)
M4_ID(TEACHER_CORRECT_SHAPE)
M4_ID(TEACHER_WRONG_SHAPE)

M4_ID(NEW_ANCHOR)
M4_ID(NEW_APPEARANCE)
M4_ID(NEW_ARC_2D)
M4_ID(NEW_ARC_CLOSE_2D)
M4_ID(NEW_AUDIO_CLIP)
M4_ID(NEW_BACKGROUND)
M4_ID(NEW_BALL_JOINT)
M4_ID(NEW_BILLBOARD)
M4_ID(NEW_BOOLEAN_FILTER)
M4_ID(NEW_BOOLEAN_TOGGLE)
M4_ID(NEW_BOOLEAN_TRIGGER)
M4_ID(NEW_BOOLEAN_SEQUENCER)
M4_ID(NEW_BOUNDED_PHYSICS_MODEL)
M4_ID(NEW_BOX)
M4_ID(NEW_CAD_ASSEMBLY)
M4_ID(NEW_CAD_FACE)
M4_ID(NEW_CAD_LAYER)
M4_ID(NEW_CAD_PART)
M4_ID(NEW_CATT_EXPORT_REC)
M4_ID(NEW_CATT_EXPORT_SRC)
M4_ID(NEW_CIRCLE_2D)
M4_ID(NEW_CLIP_PLANE)
M4_ID(NEW_COLLIDABLE_SHAPE)
M4_ID(NEW_COLLIDABLE_OFFSET)
M4_ID(NEW_COLLISION)
M4_ID(NEW_COLLISION_COLLECTION)
M4_ID(NEW_COLLISION_SENSOR)
M4_ID(NEW_COLLISION_SPACE)
M4_ID(NEW_COLOR)
M4_ID(NEW_COLOR_DAMPER)
M4_ID(NEW_COLOR_INTERPOLATOR)
M4_ID(NEW_COLOR_RGBA)
M4_ID(NEW_COMPOSED_CUBE_MAP_TEXTURE)
M4_ID(NEW_COMPOSED_SHADER)
M4_ID(NEW_COMPOSED_TEXTURE_3D)
M4_ID(NEW_CONE)
M4_ID(NEW_CONE_EMITTER)
M4_ID(NEW_CONTACT)
M4_ID(NEW_CONTOUR_2D)
M4_ID(NEW_CONTOUR_POLYLINE_2D)
M4_ID(NEW_COORDINATE)
M4_ID(NEW_COORDINATE_DAMPER)
M4_ID(NEW_COORDINATE_DEFORMER)
M4_ID(NEW_COORDINATE_DOUBLE)
M4_ID(NEW_COORDINATE_INTERPOLATOR)
M4_ID(NEW_COORDINATE_INTERPOLATOR_2D)
M4_ID(NEW_CYLINDER)
M4_ID(NEW_CYLINDER_SENSOR)
M4_ID(NEW_DIRECTIONAL_LIGHT)
M4_ID(NEW_DIS_ENTITY_MANAGER)
M4_ID(NEW_DIS_ENTITY_TYPE_MAPPING)
M4_ID(NEW_DISK_2D)
M4_ID(NEW_DOUBLE_AXIS_HINGE_JOINT)
M4_ID(NEW_EASE_IN_EASE_OUT)
M4_ID(NEW_ELEVATION_GRID)
M4_ID(NEW_ESPDU_TRANSFORM)
M4_ID(NEW_EXPLOSION_EMITTER)
M4_ID(NEW_EXTRUSION)
M4_ID(NEW_FILL_PROPERTIES)
M4_ID(NEW_FLOAT_VERTEX_ATTRIBUTE)
M4_ID(NEW_FOG)
M4_ID(NEW_FOG_COORDINATE)
M4_ID(NEW_FONT_STYLE)
M4_ID(NEW_FORCE_PHYSICS_MODEL)
M4_ID(NEW_GENERATED_CUBE_MAP_TEXTURE)
M4_ID(NEW_GEO_COORDINATE)
M4_ID(NEW_GEO_ELEVATION_GRID)
M4_ID(NEW_GEO_LOCATION)
M4_ID(NEW_GEO_LOD)
M4_ID(NEW_GEO_METADATA)
M4_ID(NEW_GEO_ORIGIN)
M4_ID(NEW_GEO_POSITION_INTERPOLATOR)
M4_ID(NEW_GEO_PROXIMITY_SENSOR)
M4_ID(NEW_GEO_TOUCH_SENSOR)
M4_ID(NEW_GEO_TRANSFORM)
M4_ID(NEW_GEO_VIEWPOINT)
M4_ID(NEW_GRAVITY_PHYSICS_MODEL)
M4_ID(NEW_GROUP)
M4_ID(NEW_HANIM_DISPLACER)
M4_ID(NEW_HANIM_HUMANOID)
M4_ID(NEW_HANIM_JOINT)
M4_ID(NEW_HANIM_SEGMENT)
M4_ID(NEW_HANIM_SITE)
M4_ID(NEW_IMAGE_TEXTURE)
M4_ID(NEW_IMAGE_CUBE_MAP_TEXTURE)
M4_ID(NEW_IMAGE_TEXTURE_3D)
M4_ID(NEW_INDEXED_FACE_SET)
M4_ID(NEW_INDEXED_LINE_SET)
M4_ID(NEW_INDEXED_QUAD_SET)
M4_ID(NEW_INDEXED_TRIANGLE_FAN_SET)
M4_ID(NEW_INDEXED_TRIANGLE_SET)
M4_ID(NEW_INDEXED_TRIANGLE_STRIP_SET)
M4_ID(NEW_INLINE)
M4_ID(NEW_INLINE_LOAD_CONTROL)
M4_ID(NEW_INTEGER_SEQUENCER)
M4_ID(NEW_INTEGER_TRIGGER)
M4_ID(NEW_KEY_SENSOR)
M4_ID(NEW_LAYER)
M4_ID(NEW_LAYER_SET)
M4_ID(NEW_LAYOUT)
M4_ID(NEW_LAYOUT_GROUP)
M4_ID(NEW_LAYOUT_LAYER)
M4_ID(NEW_LINE_PICK_SENSOR)
M4_ID(NEW_LINE_PROPERTIES)
M4_ID(NEW_LINE_SET)
M4_ID(NEW_LOAD_SENSOR)
M4_ID(NEW_LOCAL_FOG)
M4_ID(NEW_LOD)
M4_ID(NEW_MATERIAL)
M4_ID(NEW_MATRIX_3_VERTEX_ATTRIBUTE)
M4_ID(NEW_MATRIX_4_VERTEX_ATTRIBUTE)
M4_ID(NEW_METADATA_DOUBLE)
M4_ID(NEW_METADATA_FLOAT)
M4_ID(NEW_METADATA_INTEGER)
M4_ID(NEW_METADATA_SET)
M4_ID(NEW_METADATA_STRING)
M4_ID(NEW_MOTOR_JOINT)
M4_ID(NEW_MOVIE_TEXTURE)
M4_ID(NEW_MULTI_TEXTURE)
M4_ID(NEW_MULTI_TEXTURE_COORDINATE)
M4_ID(NEW_MULTI_TEXTURE_TRANSFORM)
M4_ID(NEW_NAVIGATION_INFO)
M4_ID(NEW_NORMAL)
M4_ID(NEW_NORMAL_INTERPOLATOR)
M4_ID(NEW_NURBS_CURVE)
M4_ID(NEW_NURBS_CURVE_2D)
M4_ID(NEW_NURBS_GROUP)
M4_ID(NEW_NURBS_ORIENTATION_INTERPOLATOR)
M4_ID(NEW_NURBS_POSITION_INTERPOLATOR)
M4_ID(NEW_NURBS_SURFACE)
M4_ID(NEW_NURBS_SURFACE_INTERPOLATOR)
M4_ID(NEW_NURBS_SWEPT_SURFACE)
M4_ID(NEW_NURBS_SWUNG_SURFACE)
M4_ID(NEW_NURBS_TEXTURE_COORDINATE)
M4_ID(NEW_NURBS_TEXTURE_SURFACE)
M4_ID(NEW_NURBS_TRIMMED_SURFACE)
M4_ID(NEW_ORIENTATION_CHASER)
M4_ID(NEW_ORIENTATION_DAMPER)
M4_ID(NEW_ORIENTATION_INTERPOLATOR)
M4_ID(NEW_ORTHO_VIEWPOINT)
M4_ID(NEW_PACKAGED_SHADER)
M4_ID(NEW_PARTICLE_SYSTEM)
M4_ID(NEW_PICKABLE_GROUP)
M4_ID(NEW_PIXEL_TEXTURE)
M4_ID(NEW_PIXEL_TEXTURE_3D)
M4_ID(NEW_PLANE_SENSOR)
M4_ID(NEW_POINT_EMITTER)
M4_ID(NEW_POINT_LIGHT)
M4_ID(NEW_POINT_PICK_SENSOR)
M4_ID(NEW_POINT_SET)
M4_ID(NEW_POLYLINE_2D)
M4_ID(NEW_POLYLINE_EMITTER)
M4_ID(NEW_POLYPOINT_2D)
M4_ID(NEW_POSITION_CHASER)
M4_ID(NEW_POSITION_CHASER_2D)
M4_ID(NEW_POSITION_DAMPER)
M4_ID(NEW_POSITION_DAMPER_2D)
M4_ID(NEW_POSITION_INTERPOLATOR)
M4_ID(NEW_POSITION_INTERPOLATOR_2D)
M4_ID(NEW_PRIMITIVE_PICK_SENSOR)
M4_ID(NEW_PROGRAM_SHADER)
M4_ID(NEW_PROXIMITY_SENSOR)
M4_ID(NEW_QUAD_SET)
M4_ID(NEW_RECEIVER_PDU)
M4_ID(NEW_RECTANGLE_2D)
M4_ID(NEW_RIGID_BODY)
M4_ID(NEW_RIGID_BODY_COLLECTION)
M4_ID(NEW_SCALAR_CHASER)
M4_ID(NEW_SCALAR_INTERPOLATOR)
M4_ID(NEW_SCREEN_FONT_STYLE)
M4_ID(NEW_SCREEN_GROUP)
M4_ID(NEW_SCRIPT)
M4_ID(NEW_SHADER_PART)
M4_ID(NEW_SHADER_PROGRAM)
M4_ID(NEW_SHAPE)
M4_ID(NEW_SIGNAL_PDU)
M4_ID(NEW_SINGLE_AXIS_HINGE_JOINT)
M4_ID(NEW_SLIDER_JOINT)
M4_ID(NEW_SOUND)
M4_ID(NEW_SPHERE)
M4_ID(NEW_SPHERE_SENSOR)
M4_ID(NEW_SPOT_LIGHT)
M4_ID(NEW_SPLINE_POSITION_INTERPOLATOR)
M4_ID(NEW_SPLINE_POSITION_INTERPOLATOR_2D)
M4_ID(NEW_SPLINE_SCALAR_INTERPOLATOR)
M4_ID(NEW_SQUAD_ORIENTATION_INTERPOLATOR)
M4_ID(NEW_STATIC_GROUP)
M4_ID(NEW_STRING_SENSOR)
M4_ID(NEW_SURFACE_EMITTER)
M4_ID(NEW_SWITCH)
M4_ID(NEW_TEX_COORD_DAMPER)
M4_ID(NEW_TEX_COORD_DAMPER_2D)
M4_ID(NEW_TEXT)
M4_ID(NEW_TEXTURE_BACKGROUND)
M4_ID(NEW_TEXTURE_COORDINATE)
M4_ID(NEW_TEXTURE_COORDINATE_3D)
M4_ID(NEW_TEXTURE_COORDINATE_4D)
M4_ID(NEW_TEXTURE_COORDINATE_GENERATOR)
M4_ID(NEW_TEXTURE_PROPERTIES)
M4_ID(NEW_TEXTURE_TRANSFORM)
M4_ID(NEW_TEXTURE_TRANSFORM_3D)
M4_ID(NEW_TEXTURE_TRANSFORM_MATRIX_3D)
M4_ID(NEW_TIME_SENSOR)
M4_ID(NEW_TIME_TRIGGER)
M4_ID(NEW_TOUCH_SENSOR)
M4_ID(NEW_TRANSFORM)
M4_ID(NEW_TRANSFORM_SENSOR)
M4_ID(NEW_TRANSMITTER_PDU)
M4_ID(NEW_TRIANGLE_FAN_SET)
M4_ID(NEW_TRIANGLE_SET)
M4_ID(NEW_TRIANGLE_SET_2D)
M4_ID(NEW_TRIANGLE_STRIP_SET)
M4_ID(NEW_TRIMMED_SURFACE)
M4_ID(NEW_TWO_SIDED_MATERIAL)
M4_ID(NEW_UNIVERSAL_JOINT)
M4_ID(NEW_VIEWPOINT)
M4_ID(NEW_VIEWPOINT_GROUP)
M4_ID(NEW_VIEWPORT)
M4_ID(NEW_VISIBILITY_SENSOR)
M4_ID(NEW_VOLUME_EMITTER)
M4_ID(NEW_VOLUME_PICK_SENSOR)
M4_ID(NEW_WIND_PHYSICS_MODEL)
M4_ID(NEW_WORLD_INFO)

M4_ID(NEW_COMMENT)

M4_ID(NEW_LDRAW_DAT_EXPORT)

M4_ID(NEW_ODE_MOTOR_JOINT)
M4_ID(NEW_ODE_SINGLE_AXIS_HINGE_JOINT)
M4_ID(NEW_ODE_SLIDER_JOINT)

M4_ID(NEW_SUPER_ELLIPSOID)
M4_ID(NEW_SUPER_EXTRUSION)
M4_ID(NEW_SUPER_REVOLVER)
M4_ID(NEW_SUPER_SHAPE)

M4_ID(NEW_VRML_CUT)
M4_ID(NEW_VRML_SCENE)

M4_ID(NEW_COVER_CUBE_TEXTURE)
M4_ID(NEW_COVER_WAVE)
M4_ID(NEW_COVER_SKY)
M4_ID(NEW_COVER_COVER)
M4_ID(NEW_COVER_SPACE_SENSOR)
M4_ID(NEW_COVER_AR_SENSOR)
M4_ID(NEW_COVER_JOYSTICK_SENSOR)
M4_ID(NEW_COVER_LAB_VIEW)
M4_ID(NEW_COVER_STEERING_WHEEL)
M4_ID(NEW_COVER_VEHICLE)
M4_ID(NEW_COVER_VIRTUAL_ACOUSTICS)
M4_ID(NEW_COVER_VIRTUAL_SOUND_SOURCE)
M4_ID(NEW_COVER_TUI_BUTTON)
M4_ID(NEW_COVER_TUI_COMBO_BOX)
M4_ID(NEW_COVER_TUI_FLOAT_SLIDER)
M4_ID(NEW_COVER_TUI_FRAME)
M4_ID(NEW_COVER_TUI_LABEL)
M4_ID(NEW_COVER_TUI_LIST_BOX)
M4_ID(NEW_COVER_TUI_MAP)
M4_ID(NEW_COVER_TUI_PROGRESS_BAR)
M4_ID(NEW_COVER_TUI_SLIDER)
M4_ID(NEW_COVER_TUI_SPLITTER)
M4_ID(NEW_COVER_TUI_TAB)
M4_ID(NEW_COVER_TUI_TAB_FOLDER)
M4_ID(NEW_COVER_TUI_TOGGLE_BUTTON)

M4_ID(NEW_KAMBI_BLEND_MODE)
M4_ID(NEW_KAMBI_GENERATED_SHADOW_MAP)
M4_ID(NEW_KAMBI_APPEARANCE)
M4_ID(NEW_KAMBI_HEAD_LIGHT)
M4_ID(NEW_KAMBI_INLINE)
M4_ID(NEW_KAMBI_MATRIX_TRANSFORM)
M4_ID(NEW_KAMBI_NAVIGATION_INFO)
M4_ID(NEW_KAMBI_OCTREE_PROPERTIES)
M4_ID(NEW_KAMBI_TRIANGULATION)
M4_ID(NEW_KAMBI_RENDERED_TEXTURE)
M4_ID(NEW_KAMBI_TEAPOT)
M4_ID(NEW_KAMBI_TEXT_3D)
M4_ID(NEW_KAMBI_PROJECTED_TEXTURE_COORDINATE)
M4_ID(NEW_KAMBI_MULTI_GENERATED_TEXTURE_COORDINATE)

M4_ID(NEW_NURBS_BOX)
M4_ID(NEW_NURBS_CYLINDER)
M4_ID(NEW_NURBS_CONE)
M4_ID(NEW_NURBS_PLANE)
M4_ID(NEW_NURBS_SPHERE)

M4_ID(NEW_STAR_FISH_0)
M4_ID(NEW_STAR_FISH_1)
M4_ID(NEW_STAR_FISH_2)
M4_ID(NEW_STAR_FISH_3)
M4_ID(NEW_STAR_FISH_4)
M4_ID(NEW_STAR_FISH_5)
M4_ID(NEW_STAR_FISH_6)
M4_ID(NEW_STAR_FISH_7)
M4_ID(NEW_STAR_FISH_8)
M4_ID(NEW_FLOWER_0)
M4_ID(NEW_FLOWER_1)
M4_ID(NEW_FLOWER_2)
M4_ID(NEW_FLOWER_3)
M4_ID(NEW_FLOWER_4)
M4_ID(NEW_FLOWER_5)
M4_ID(NEW_FLOWER_6)
M4_ID(NEW_FLOWER_7)
M4_ID(NEW_FLOWER_8)
M4_ID(NEW_HEART)
M4_ID(NEW_SPINDLE)
M4_ID(NEW_MUSHROOM_ROUND)
M4_ID(NEW_MUSHROOM_SULCATE)
M4_ID(NEW_TUBE)
M4_ID(NEW_HORN)
M4_ID(NEW_TORUS)
M4_ID(NEW_SHELL)
M4_ID(NEW_UFO)
M4_ID(NEW_HALF_SPHERE)
M4_ID(NEW_INSECT_REAR_0)
M4_ID(NEW_INSECT_REAR_1)
M4_ID(NEW_INSECT_REAR_2)
M4_ID(NEW_INSECT_REAR_3)
M4_ID(NEW_INSECT_REAR_4)
M4_ID(NEW_INSECT_REAR_5)
M4_ID(NEW_INSECT_REAR_6)
M4_ID(NEW_INSECT_REAR_7)
M4_ID(NEW_INSECT_REAR_8)
M4_ID(NEW_ONE_TEXT)
M4_ID(NEW_NODE_BY_NAME)

`#define' ID_PROTO_MRU_1                      M4_ID_NUM

// Next default values for new objects
// 
`#ifdef' APSTUDIO_INVOKED
`#ifndef' APSTUDIO_READONLY_SYMBOLS
`#define' _APS_3D_CONTROLS                    1
`#define' _APS_NEXT_RESOURCE_VALUE          M4_IDD_NUM
`#define' _APS_NEXT_CONTROL_VALUE           2064
`#define' _APS_NEXT_COMMAND_VALUE           M4_ID_NUM
`#define' _APS_NEXT_SYMED_VALUE             M4_ABOUT_NUM
`#endif'
`#endif'
